| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::phase_unwrapping::PhaseUnwrapping Class Referenceabstract
Phase Unwrapping API

Abstract base class for phase unwrapping. More...

`#include <opencv2/phase_unwrapping/phase_unwrapping.hpp>`

Collaboration diagram for cv::phase_unwrapping::PhaseUnwrapping:

## Public Member Functions
virtual void | unwrapPhaseMap (InputArray wrappedPhaseMap, OutputArray unwrappedPhaseMap, InputArray shadowMask=noArray())=0
| Unwraps a 2D phase map.
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state.
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read.
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage.
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage.
void | write (FileStorage &fs, const String &name) const

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file.
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String.
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node.
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Abstract base class for phase unwrapping.

## Member Function Documentation

## ◆ unwrapPhaseMap()

virtual void cv::phase_unwrapping::PhaseUnwrapping::unwrapPhaseMap | ( | InputArray | wrappedPhaseMap,
|  | OutputArray | unwrappedPhaseMap,
|  | InputArray | shadowMask = noArray() )
| pure virtual

Python:
| cv.phase_unwrapping.PhaseUnwrapping.unwrapPhaseMap( | wrappedPhaseMap[, unwrappedPhaseMap[, shadowMask]] | ) -> | unwrappedPhaseMap

Unwraps a 2D phase map.

Parameters

  wrappedPhaseMap | The wrapped phase map of type CV_32FC1 that needs to be unwrapped.
  unwrappedPhaseMap | The unwrapped phase map.
  shadowMask | Optional CV_8UC1 mask image used when some pixels do not hold any phase information in the wrapped phase map.

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- opencv2/phase_unwrapping/phase_unwrapping.hpp